=== debian/control ===
Source: collectd
Section: utils
Priority: optional
Maintainer: Sebastian Harl <sh@tokkee.org>
Build-Depends: debhelper (>= 5), po-debconf, dpatch, bison | byacc, flex, autotools-dev, libcurl4-gnutls-dev | libcurl3-gnutls-dev, libmysqlclient15-dev | libmysqlclient14-dev, librrd2-dev | librrd0-dev, libsensors-dev, liboping-dev (>= 0.3.3), libpcap0.8-dev | libpcap-dev, iptables-dev [!alpha !amd64 !hppa !ia64 !ppc64], nut-dev [!alpha !amd64 !hppa !ia64 !ppc64], libperl-dev, iproute-dev, libsnmp-dev | libsnmp9-dev, xmms-dev
Build-Conflicts: libpthread-dev
Standards-Version: 3.7.2
Vcs-Git: git://git.tokkee.org/pkg-collectd.git
Vcs-Browser: http://git.tokkee.org/?p=pkg-collectd.git

Package: collectd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: perl, rrdtool, ${shlibs:Recommends}
Suggests: collectd-dev, librrds-perl, liburi-perl, libhtml-parser-perl,
 httpd-cgi, hddtemp, mbmon
Conflicts: collectd-apache, collectd-dns, collectd-hddtemp, collectd-mysql,
 collectd-perl, collectd-ping, collectd-sensors
Provides: collectd-apache, collectd-dns, collectd-hddtemp, collectd-mysql,
 collectd-perl, collectd-ping, collectd-sensors
Replaces: collectd-apache, collectd-dns, collectd-hddtemp, collectd-mysql,
 collectd-perl, collectd-ping, collectd-sensors
Description: statistics collection daemon
 collectd is a small daemon which collects system information periodically and
 provides mechanismns to store the values in a variety of ways. It is written
 in C for performance. Since the daemon doesn't need to startup every time it
 wants to update the files it's very fast and easy on the system. Also, the
 statistics are very fine grained since the files are updated every 10
 seconds.
 .
 This package contains the main program file and the following plugins:
   * Apache and lighttpd statistics provided by mod_status: apache
   * APC UPS's charge, load, input/output/battery voltage, etc.: apcups
   * battery status: battery
   * CPU utilization: cpu
   * CPU frequency: cpufreq
   * output to comma separated values (CSV) files: csv
   * disk space usage: df
   * disk and partition throughput: disk
   * DNS traffic information: dns
   * E-Mail statistics (count, traffic, spam scores and checks): email
   * amount of available entropy: entropy
   * execution of external programs: exec
   * harddisk temperature: hddtemp
   * network traffic: interface
   * iptables statistics: iptables
   * IPVS connection statistics: ipvs
   * IRQ counters: irq
   * system load averages: load
   * logging to files, STDOUT and STDERR: logfile
   * motherboard monitor: mbmon
   * statistics of the memcached distributed caching system: memcached
   * memory usage: memory
   * multimeter statistics: multimeter
   * MySQL statistics provided by MySQL's "show status" command: mysql
   * detailed Linux network interface and routing statistics: netlink
   * IO via the network: network
   * NFS utilization: nfs
   * Nginx (a HTTP and E-Mail server/proxy) statistics: nginx
   * NTP daemon's local clock drift, offset to peers, etc.: ntpd
   * UPS information: nut
   * number of processes: processes
   * output to RRD files: rrdtool
   * embedded Perl interpreter: perl
   * network latency statistics: ping
   * lm_sensors information (e.g. CPU temperature, fan speeds): sensors
   * serial port traffic: serial
   * values from SNMP enabled network devices: snmp
   * swap usage: swap
   * logging to syslog: syslog
   * number of TCP connections to specific ports: tcpconns
   * external runtime interface: unixsock
   * number of users logged into the system: users
   * system resources used by Linux-VServers: vserver
   * wireless network stats: wireless
   * bitrate and frequency of music played with XMMS: xmms
 .
  Homepage: http://collectd.org/

Package: collectd-dbg
Section: utils
Architecture: any
Priority: extra
Depends: collectd (= ${binary:Version})
Description: statistics collection daemon (debugging symbols)
 collectd is a small daemon which collects system information periodically and
 provides mechanismns to store the values in a variety of ways. It is written
 in C for performance. Since the daemon doesn't need to startup every time it
 wants to update the files it's very fast and easy on the system. Also, the
 statistics are very fine grained since the files are updated every 10
 seconds.
 .
 This package contains the debugging symbols.

Package: collectd-dev
Architecture: all
Depends: collectd (>= ${source:Version}), collectd (<< 4.3~)
Description: statistics collection daemon (development files)
 collectd is a small daemon which collects system information periodically and
 provides mechanismns to store the values in a variety of ways. It is written
 in C for performance. Since the daemon doesn't need to startup every time it
 wants to update the files it's very fast and easy on the system. Also, the
 statistics are very fine grained since the files are updated every 10
 seconds.
 .
 This package contains the development files needed to create your own
 plugins.
