=== debian/watch ===
version=3
http://collectd.org/files/ collectd-(.*)\.tar\.gz
