## collectd 5.0.3+modbus1

=== debian/changelog ===
collectd (5.0.3+modbus1) squeeze; urgency=low

  * collectd compiled with modbus 2.9.2

 -- Stefan Steiner <stefan.steiner@noris.de>  Tue, 06 Mar 2012 12:18:50 +0100

collectd (5.0.3) unstable; urgency=low

  * Initial Release.

 -- Stefan Steiner <stefan.steiner@noris.de>  Tue, 06 Mar 2012 10:27:48 +0100
