=== debian/control ===
Source: collectd
Section: noris/misc
Priority: extra
Maintainer: Stefan Steiner <stefan.steiner@noris.de>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev
Standards-Version: 3.8.4
Homepage: mirror.noris.net
#Vcs-Git: git://git.debian.org/collab-maint/collectd.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/collectd.git;a=summary

Package: collectd-modbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The collection monitoring deamon with modbus
 The collection monitoring deamon collectd version 5.0.3
 by Florian (octo) Forster compiled with libmodbus Version
 2.9.2.
