## collectd 5.5.0

=== debian/changelog ===
collectd (5.5.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Set jessie-backports as gbp branch. 

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 01 Oct 2015 14:39:43 +0200

collectd (5.5.0-3) unstable; urgency=medium

  * debian/rules, debian/control:
    - Avoid hiding compiler options at build time, allowing the buildd log
      scanner to do it's job.
    - Disable smart plugin on non-linux platforms, due to missing
      libatasmart-dev build-dependency.
  * debian/collectd-core.overrides:
    - Update 'capitalization-error-in-description' lintian override.
  * debian/rules, debian/collectd-core.collectd.service:
    - Rename systemd service file to collectd-core.collectd.service, to honour
      debhelper's naming convention.
  * debian/collectd-core.collectd.service:
    - Check for configuration file presence before starting the daemon.
    - Check for configuration file validity before starting the daemon.
  * debian/control, debian/changelog:
    - Update my email address to match identity of current GPG key.

 -- Marc Fournier <marc@bl.uem.li>  Sun, 13 Sep 2015 21:42:53 +0200

collectd (5.5.0-2) unstable; urgency=low

  * debian/rules:
    - Disable the turbostat plugin on !amd64,!i386; it's Intel-hardware
      specific.

 -- Sebastian Harl <tokkee@debian.org>  Sun, 23 Aug 2015 15:35:26 +0200

collectd (5.5.0-1) unstable; urgency=medium

  [ Marc Fournier ]
  * New upstream release:
    - Battery plugin now prefers sysfs over (the deprecated) procfs for
      reading values; thanks to Witold Baryluk for reporting this
      (Closes: #630337).
    - The configuration supports unquoted IPv6 addresses now; thanks to Geoff
      Crompton for reporting this (Closes: #632713).
    - Fixed a FTBFS using clang; thanks to Arthur Marble for reporting this
      and providing a patch (Closes: #758481).
    - collection.cgi now supports the df_complex types; thanks to Joel Franco
      Guzmán for reporting this (Closes: #739625).
    - Fixed an off-by-one error in the AVL tree implementation that broke
      setups using only one threshold definition; thanks to Alexander Golovko
      for reporting this (Closes: #754230).
    - The disk plugin now (optionally) supports instance names based on a udev
      attribute; thanks to Trent W. Buck for reporting this (Closes: #632936).
  * debian/patches:
    - Removed bts559801_plugin_find_fix.dpatch; merged upstream.
    - Removed bts747093_lvm_segfault.dpatch; merged upstream.
    - Removed bts750440_config_segfault.dpatch; merged upstream.
    - Removed bts770681_riemann_ack.dpatch; merged upstream.
    - Removed bts770683_curl_init.dpatch; merged upstream.
    - Removed bts770688_snmp_memleak.dpatch; merged upstream.
    - Removed bts770690_java_jni_thread_detach.dpatch; merged upstream.
    - Removed bts770693_timestamps.dpatch; merged upstream.
    - Removed bts770694_loglevel.dpatch; merged upstream.
    - Removed collection.cgi.dpatch; merged upstream.
    - Removed myplugin_api.dpatch; merged upstream.
  * debian/rules, debian/collectd-dev.install, myplugin_includes.dpatch:
    - Update path to header files moved to daemon/ subdirectory upstream.
  * debian/rules, debian/control:
    - Enable redis, write_redis plugins and add Build-depend on
      libhiredis-dev (previous versions depended on credis which wasn't
      packaged in Debian).
    - Enable sigrok and uncomment Build-depend on libsigrok-dev.
    - Re-enable varnish and uncomment Build-depend on libvarnishapi-dev
      (support for varnish 4.x was added upstream).
    - Enable zfs_arc (support for ZFS on linux was added upstream).
    - Add Build-depend on libatasmart-dev (required to build new smart
      plugin).
    - Add Build-depend on libcap-dev (used to avoid running new turbostat
      plugin as root on Linux).
    - Add Build-depend on libi2c-dev (required to build new barometer plugin).
    - Add Build-depend on libldap2-dev (required to build new openldap
      plugin).
    - Add Build-depend on librdkafka-dev (required to build new write_kafka
      plugin).
    - Add Build-depend on libudev-dev (used by disk plugin to enable
      udev-based device renaming on Linux) (Closes: #588153, #632936).
  * debian/control, debian/rules, debian/collectd.service:
    - Add systemd service file (Closes: #762586)
  * debian/libcollectdclient1.symbols
    - Updated for 5.5.

  [ Sebastian Harl ]
  * debian/control:
    - Add virtual-mysql-server as an alternative to the mysql-server suggests;
      thanks to Otto Kekäläinen for reporting this (Closes: 781980).
    - Add Marc to uploaders.
    - Update standards-version to 3.9.6 (no changes).
  * debian/po:
    - Update Dutch debconf template translation; thanks to Frans Spiesschaert
      (Closes: #763783).
  * Convert the package to "3.0 (quilt)" format; thanks to YunQiang Su for an
    initial patch (Closes: #688719):
    - Build-depend on debhelper (>= 7.0.50~) and drop dpatch.
    - Renamed patch files from *.dpatch to *.patch and drop the dpatch header.
    - Changed debian/patches/00list to debian/patches/series.
    - Drop all patch operations from debian/rules.
  * debian/collectd-core.overrides:
    - Update the JRE path for the rpath override.

 -- Marc Fournier <marc.fournier@camptocamp.com>  Fri, 21 Aug 2015 13:29:17 +0200

collectd (5.4.1-6) unstable; urgency=medium

  * debian/patches:
    - Added bts770681_riemann_ack: upstream fix for the write_riemann plugin
      to avoid locking up a remote Riemann instance; thanks to Marc Fournier
      for reporting this (Closes: #770681).
    - Added bts747093_lvm_segfault: upstream fix for a segfault in the LVM
      plugin; thanks to Bernd Zeimetz and Marc Fournier for reporting this
      (Closes: #747093).
    - Added bts770683_curl_init: upstream fix for a segfault in plugins using
      libcurl caused by concurrent memory access; thanks to Marc Fournier for
      reporting this (Closes: #770683, cf. #735173).

