## collectd 5.5.1

=== debian/changelog ===
collectd (5.5.1-4) unstable; urgency=medium

  * debian/control:
    - Add dh-autoreconf to Build-Depends.
    - Update standards-version to 3.9.8 (no changes).

 -- Marc Fournier <marc@bl.uem.li>  Tue, 31 May 2016 18:16:43 +0200

collectd (5.5.1-3) unstable; urgency=medium

  * Re-enable gmond plugin. Thanks to Michael Tautschnig and Jean-Michel
    Vourgère for fixing #812462.
  * debian/patches:
    - Add bts823012_librrd8.patch. Properly detect thread safety with librrd8.
      Thanks to Jean-Michel Vourgère for the patch (Closes: #823012).
  * debian/collectd.conf:
    - Add missing example blocks in main configuration file (Closes: #806196).

 -- Marc Fournier <marc@bl.uem.li>  Wed, 25 May 2016 23:14:14 +0200

collectd (5.5.1-2) unstable; urgency=medium

  * Disable the gmond plugin for now. Ganglia is not available in testing
    (cf. #812462). Thanks to Santiago Vila for reporting this
    (Closes: #819241).
  * Update standards-version to 3.9.7 (no changes).

 -- Sebastian Harl <tokkee@debian.org>  Sat, 02 Apr 2016 11:02:49 +0200

collectd (5.5.1-1) unstable; urgency=medium

  * New upstream release:
    - The "LC_NUMERIC" locale is now forced to "C", preventing problems on
      environments where the locale uses a comma as decimal separator. Thanks
      to Hubert Jarosz for reporting this (Closes: #799289).
    - Fixed FTBFS with GCC 6.0; thanks to Martin Michlmayr for reporting this
      (Closes: #811580).
  * debian/patches:
    - Removed bts802249_varnish_41.patch; implemented upstream.
  * debian/collectd.conf:
    - Sync with upstream changes since 5.5.0.

 -- Marc Fournier <marc@bl.uem.li>  Fri, 22 Jan 2016 16:53:49 +0100

collectd (5.5.0-4) unstable; urgency=medium

  * debian/collectd-core.overrides:
    - Update 'binary-or-shlib-defines-rpath' lintian override.
  * debian/rules:
    - Strip out non-deterministic bits out of generated jar files.
    - Remove RTLD_GLOBAL workaround, which was fixed upstream.
  * debian/patches:
    - Add bts802249_varnish_41.patch (Closes: #802249)

 -- Marc Fournier <marc@bl.uem.li>  Mon, 16 Nov 2015 21:03:31 +0100
