=== debian/rules ===
--- 
+++ 
@@ -18,12 +18,6 @@
 CPPFLAGS += -I$(CURDIR)/debian/include
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS += -Wall -Wno-error=deprecated-declarations
-
-# There is no way to tell lt_dlopen() to use the RTLD_GLOBAL flag which is
-# however required by the perl plugin (which would otherwise be unable to find
-# symbols defined in libperl when loading perl modules that require such
-# symbols). This is a workaround for this issue.
-CPPFLAGS += -DLT_LAZY_OR_NOW='RTLD_LAZY|RTLD_GLOBAL'
 
 # Upstream defaults to ${sysconfdir}/collectd.conf. Setting ${sysconfdir} to
 # /etc/collectd would be wrong though.
@@ -165,6 +159,7 @@
 
 config.status: configure
 	dh_testdir
+	dh_autoreconf
 	
 	# This is a work-around for #474087 (broken openipmi .pc files).
 	mkdir debian/pkgconfig
@@ -202,6 +197,7 @@
 	
 	rm -rf debian/pkgconfig
 	
+	dh_autoreconf_clean
 	dh_clean
 	debconf-updatepo
 
@@ -268,3 +264,8 @@
 		contrib/exec-munin.conf contrib/exec-munin.px contrib/exec-smartctl \
 		contrib/exec-nagios.conf contrib/exec-nagios.px contrib/exec-ksm.sh \
 		contrib/SpamAssassin/ contrib/iptables/ contrib/cussh.pl \
+		contrib/snmp-data.conf contrib/add_rra.sh contrib/network-proxy.py \
+		contrib/collectd_network.py contrib/collectd_unixsock.py \
+		contrib/snmp-probe-host.px contrib/GenericJMX.conf \
+		contrib/postgresql \
+		debian/collectd.conf debian/filters.conf debian/thresholds.conf
